# IRfTransformSet Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | AddTransformAttr ([in] IRsNode *pNode)
HRESULT | CheckConExport ([in] IRsBaseNode *pOwnerBase,[in] CONID *pConId,[in] IRsNode *pNode,[in] RtBool bSetValue)
HRESULT | CorrectTransformAttr ([in] IRsNode *pNode,[in] RtBOOL bForceTo3D)
HRESULT | CorrectTransformAttrOwner ([in] IRsNode *pNode)

## Detailed Description

Transform function set contains helper functions for handling transform nodes within hierarchies.

## Member Function Documentation

HRESULT IRfTransformSet::AddTransformAttr | ( | [in] IRsNode * | pNode | ) |

AddTransformAttr

- Add Transform node for object and connect it.

Parameters:

  | pNode | [in] .

HRESULT IRfTransformSet::CheckConExport | ( | [in] IRsBaseNode * | pOwnerBase,
|  | [in] CONID * | pConId,
|  | [in] IRsNode * | pNode,
|  | [in] RtBool | bSetValue |
| ) |  |  |

CheckConExport

- If given connector is not exported, then export it.
- Then connect the Owner/conId and Node/conId.

Parameters:

  | pOwnerBase | [in] pNode's owner.
  | pConId | [in] ID of the checked connector.
  | pNode | [in] Object which connector will be check/exported.
  | bSetValue | [in] If TRUE, value will be copied from the original connector as well.

HRESULT IRfTransformSet::CorrectTransformAttr | ( | [in] IRsNode * | pNode,
|  | [in] RtBOOL | bForceTo3D |
| ) |  |  |

CorrectTransformAttr

- If method determines it is a 3D object, then checks and corrects its connection to owner.
- If object is not 3D, then function checks if any of its sub-objects are 3D (at least one).
- If at least a single object is indeed 3D, then Transform node is inserted into object and connected with other 3D sub-objects and the owner.

Parameters:

  | pNode | [in] Object that will be checked/updated.
  | bForceTo3D | [in] If set to TRUE, then the 3D support is added even if sub-objects are not 3D.

HRESULT IRfTransformSet::CorrectTransformAttrOwner | ( | [in] IRsNode * | pNode | ) |

CorrectTransformAttrOwner

- Call this method to make 3D connection between pNode and its owner.

Parameters:

  | pNode | [in] Object that will be checked/updated.

Returns:
  S_OK If the connection was completed successfully and S_FALSE if the connection was not necessary.
  - There are no other return values.